Bug 487309 - Can't change to the resolution I selected in display utility on RHEL5
Can't change to the resolution I selected in display utility on RHEL5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ast (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 08:07 EST by Y.C. Chen
Modified: 2012-04-18 10:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 10:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf and verbose (745 bytes, application/x-gzip)
2009-03-05 03:08 EST, Y.C. Chen
no flags Details
verbose from attachment 334105 (848 bytes, text/plain)
2009-03-05 04:34 EST, Matěj Cepl
no flags Details
xorg.conf.cmd from attachment 334105 (803 bytes, text/plain)
2009-03-05 04:34 EST, Matěj Cepl
no flags Details
xorg.conf.gui from attachment 334105 (890 bytes, text/plain)
2009-03-05 04:34 EST, Matěj Cepl
no flags Details
xorg.conf.ori from attachment 334105 (957 bytes, text/plain)
2009-03-05 04:34 EST, Matěj Cepl
no flags Details
xorg.0.log (47.24 KB, text/plain)
2009-03-05 20:58 EST, Y.C. Chen
no flags Details

  None (edit)
Description Y.C. Chen 2009-02-25 08:07:45 EST
Hi,
Here are the test sequence:
1. change the resolution from 1280x1024 to 800x600 by display utility.
2. log-out and re-login
3. the display resolution is not changed
I checked the xorg.conf and found the disply mode still un-changed.
If I run "system-config-display --set-resolution 800x600" in terminal and found the display modes in xorg.conf had been changed successfuly and change the display resolution to 800x600 after re-login. It didn't make sense to me why have these differences. I also tried on FC5 and FC6. The resolution can be changed on FC5 successfuly by display utility, but the resolution is un-changed on FC6.
Does anyone can help to answer this issue?

Regards,

Y.C. Chen
Comment 1 Matěj Cepl 2009-03-02 06:21:19 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could we also get an output of the command

system-config-display --verbose

here?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Y.C. Chen 2009-03-05 03:08:47 EST
Created attachment 334105 [details]
xorg.conf and verbose

Hi,
Here the content of the attachment:
1. verbose: the verbose of running system-config-display
2. xorg.conf.ori: the config before running
3. xorg.conf.gui: the config after running system-config-display to set to 800x600 in GUI mode
4. xorg.conf.cmd: the config after running system-config-display to set to 800x600 in terminal
Comment 3 Matěj Cepl 2009-03-05 04:34:08 EST
Created attachment 334110 [details]
verbose from attachment 334105 [details]
Comment 4 Matěj Cepl 2009-03-05 04:34:13 EST
Created attachment 334111 [details]
xorg.conf.cmd from attachment 334105 [details]
Comment 5 Matěj Cepl 2009-03-05 04:34:17 EST
Created attachment 334112 [details]
xorg.conf.gui from attachment 334105 [details]
Comment 6 Matěj Cepl 2009-03-05 04:34:22 EST
Created attachment 334113 [details]
xorg.conf.ori from attachment 334105 [details]
Comment 7 Matěj Cepl 2009-03-05 05:05:41 EST
We would need at least one /var/log/Xorg.*.log as well.

Thank you
Comment 8 Y.C. Chen 2009-03-05 20:58:02 EST
Created attachment 334254 [details]
xorg.0.log
Comment 9 Matěj Cepl 2009-03-06 09:11:56 EST
I am afraid xorg-x11-drv-ast has been neglected for a long time. Assigning to developers.
Comment 10 Y.C. Chen 2009-03-08 23:07:40 EDT
Hi mcepl,
Could you tell me why you think this issue relate to ast driver? We indeed had tried on ATI before and the phenomena is the same. Do you need us to try ATI or other VGA adapter again?
Besides, the xorg-x11-drv-ast still be maintained by ASPEED Technology Inc. Many server systems use the ASPEED's graphics chips, if you go the the website of SUN Micro., then you will see many models using its chips.

Regards,

Y.C. Chen
Comment 11 Adam Jackson 2012-04-18 10:33:55 EDT
Should be fixed by the updates to pyxf86config and rhpxl in 5.8.

Note You need to log in before you can comment on or make changes to this bug.